# Uses of Interface
com.sun.source.tree.ArrayAccessTree

Packages that use ArrayAccessTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ArrayAccessTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ArrayAccessTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitArrayAccess(ArrayAccessTree node, P p)`
Visits an `ArrayAccessTree` node.

## Uses of ArrayAccessTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ArrayAccessTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitArrayAccess(ArrayAccessTree node, P p)`
Visits an `ArrayAccessTree` node.
`R`
TreeScanner.`visitArrayAccess(ArrayAccessTree node, P p)`
Visits an `ArrayAccessTree` node.